Source: https://developers.woosmap.com/api-reference/datasets-api/get-datasets-dataset_id-status/

> For clean Markdown of any page, append `.md` to the page URL.

> For a complete documentation index, see https://developers.woosmap.com/llms.txt

# Get Dataset Status



# Get Dataset Status

 GET 
https://api.woosmap.com/datasets/{dataset\_id}/status

Returns the dataset import status.

**Rate limit** : `1/5s`

**Ratelimit:** 1/5s

### Authorization

[`private_key`](#authorization-datasets-privatekeywithwrite)
apiKeyquery

Private key with write permission. Must stay private.

[`X-Api-Key`](#authorization-datasets-privatekeywithwriteheader)
apiKeyheader

Private key with write permission. Must stay private.

### Path Parameters

[`dataset_id`](#path-dataset-id)
stringrequired

### Response

200application/json

Successful Response

[`id`](#resp-200-id)
string (uuid)required

The id of the run, can be used in communication with the support to better identify the run.

[`steps`](#resp-200-steps)
object[]required

The steps of the run, ordered by start date.

#Show 5 propertiesHide 5 properties

steps.[`name`](#resp-200-steps-name)
stringrequired

The name of the step. Currently can only be `fetch` of `import`

Available options:`fetch`, `import`

steps.[`start`](#resp-200-steps-start)
string (date-time)required

The date at which the step started.

steps.[`end`](#resp-200-steps-end)
stringrequired

The date at which the step ended or null if in progress.

steps.[`entries`](#resp-200-steps-entries)
object[]required

The log entries for the step.

Show 3 propertiesHide 3 properties

steps.entries.[`created_at`](#resp-200-steps-entries-created-at)
string (date-time)required

The date of the log entry.

steps.entries.[`detail`](#resp-200-steps-entries-detail)
stringrequired

The detail of the log entry.

steps.entries.[`level`](#resp-200-steps-entries-level)
stringrequired

The level of the log entry.

Available options:`info`, `warning`, `error`

steps.[`status`](#resp-200-steps-status)
stringrequired

The status of the step.

Available options:`success`, `in_progress`, `failed`

[`status`](#resp-200-status)
stringrequired

The status of the import run for the dataset.

Available options:`success`, `in_progress`, `failed`

### Errors

#401

Unable to locate credentials.

 

`application/json`

[`detail`](#err-401-detail)
stringrequired

#402

Out of free quota.

 

`application/json`

[`detail`](#err-402-detail)
stringrequired

#403

Credentials found, but not matching.

 

`application/json`

[`detail`](#err-403-detail)
stringrequired

#404

Dataset was not found

 

`application/json`

[`details`](#err-404-details)
stringrequired

#422

Validation Error

 

`application/json`

[`detail`](#err-422-detail)
object[]

Show 3 propertiesHide 3 properties

detail.[`loc`](#err-422-detail-loc)
any[]required

detail.[`msg`](#err-422-detail-msg)
stringrequired

detail.[`type`](#err-422-detail-type)
stringrequired

#429

Rate limit reached

 

`application/json`

[`details`](#err-429-details)
stringrequired

```shell
curl -L 'https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/status?private_key=YOUR_PRIVATE_API_KEY'
```

```javascript
const requestOptions = {
  method: "GET",
  redirect: "follow"
};

fetch("https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/status?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

```python
import requests

url = "https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/status?private_key=YOUR_PRIVATE_API_KEY"

payload = {}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```
